Package org.eclipse.net4j.util.confirmation

# Class IConfirmationProvider.Factory.Default

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory
org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory.Default

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Enclosing class:
  `IConfirmationProvider.Factory`

public static class IConfirmationProvider.Factory.Default extends IConfirmationProvider.Factory

Since:
  3.4
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

`IConfirmationProvider.Factory.Default`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

`DEFAULT_TYPE, INTERACTIVE_TYPE, PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Default()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Default

public Default()

## Method Details

### create

public Object create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`